import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class BollingerBandWidthIndicator extends StrategyBasedIndicator {
    static $t: Type;
    protected get_yy(): IndicatorCalculationStrategy;
    protected get yy(): IndicatorCalculationStrategy;
    protected get_zb(): Type;
    protected get zb(): Type;
    get zk(): number;
    set zk(a: number);
    static readonly zn: DependencyProperty;
    protected y4(): number;
    get zj(): number;
    set zj(a: number);
    static readonly zm: DependencyProperty;
    protected y2(): number;
}
